import { ScanningListType } from './type';

declare const _default: import('vue').DefineComponent<{}, {
    addStaticqr: (rowData?: ScanningListType) => void;
    downloadAll: () => Promise<void>;
    downloadStaticqr: (id: string) => Promise<void>;
    resetStaticqr: (id: string) => Promise<void>;
    removeStaticqr: (id: string) => Promise<void>;
    tableData: import('vue').Ref<{
        id?: string | undefined;
        ntwId?: string | undefined;
        name?: string | undefined;
        shortName?: string | undefined;
        createBy?: number | undefined;
        uuid?: string | undefined;
        qrCodeUrl?: string | undefined;
        createTime?: string | undefined;
        updateTime?: string | undefined;
    }[]>;
    addMax: import('vue').Ref<number>;
    qrCodeUrl: import('vue').Ref<string>;
    downloadLoading: import('vue').Ref<boolean>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{}>>, {}, {}>;
export default _default;
